"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var Browser_1 = require("kemao-metro-ui/Browser");
var Browser_2 = require("kemao-metro-ui/Browser");
var React = require("react");
var ErrorCodePage_1 = require("../Log/ErrorCodePage");
var ReactJSXGenerator_1 = require("../Utils/LarkReact/ReactJSXGenerator");
var LarkSequencePage_1 = require("../Utils/LarkSequence/LarkSequencePage");
var LarkPage = /** @class */ (function (_super) {
    tslib_1.__extends(LarkPage, _super);
    function LarkPage() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LarkPage.prototype.render = function () {
        return React.createElement(Browser_2.Window, { viewStatus: Browser_2.VIEW_STATUS.MAXIMIZE, width: 1024, height: 768 },
            React.createElement(Browser_1.Navigation, { headerTitle: "lark\u63A7\u5236\u53F0", expand: true, active: "0,2", position: Browser_1.NAVIGATION_POSITION.RIGHT, navigationList: [
                    {
                        categoryName: "lark控制台",
                        pages: [
                            // {
                            //     title: "邮件助手",
                            //     content: <MailPage />,
                            // },
                            {
                                title: "发号器",
                                content: React.createElement(LarkSequencePage_1.LarkSequencePage, null)
                            },
                            {
                                title: "错误码管理",
                                content: React.createElement(ErrorCodePage_1.ErrorCodePage, null)
                            },
                            {
                                title: "项目与端口分配管理",
                                content: null
                            },
                            {
                                title: "日志检索",
                                content: null
                            },
                        ]
                    },
                    {
                        categoryName: "小工具",
                        pages: [
                            {
                                title: "jsx代码模版生成器",
                                content: React.createElement(ReactJSXGenerator_1.ReactJSXGenerator, null)
                            },
                            {
                                title: "本机host切换",
                                content: null
                            },
                        ]
                    },
                ] }));
    };
    return LarkPage;
}(React.Component));
exports.LarkPage = LarkPage;
//# sourceMappingURL=LarkPage.js.map