"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var BrowserLarkError = /** @class */ (function (_super) {
    tslib_1.__extends(BrowserLarkError, _super);
    /**
     * 错误
     * @param name 错误的字符串枚举，全大写加下划线开头，全局不重复
     * @param code 不重复的错误码
     * @param message 简短的对错误的信息进行描述
     */
    function BrowserLarkError(message, data, code, name) {
        if (message === void 0) { message = ""; }
        if (data === void 0) { data = null; }
        if (code === void 0) { code = -1; }
        if (name === void 0) { name = "LarkError"; }
        var _this = _super.call(this, message) || this;
        _this.code = -1;
        _this.data = null;
        _this.name = name;
        _this.code = code;
        _this.data = data;
        return _this;
    }
    BrowserLarkError.prototype.print = function () {
        console.log(this);
    };
    return BrowserLarkError;
}(Error));
exports.BrowserLarkError = BrowserLarkError;
//# sourceMappingURL=BrowserLarkError.js.map