# lark

基础库大全，按类组织。包含数据库，异常，utils，net等多个模块

- db

主要是提供对数据库等便捷的访问入口，使得应用不必关心数据库连接等底层的一些信息。专注于数据的维护（增删改查）。

- log

主要放置和日志错误收集相关的内容

- net

和网络相关的内容，包含强大的WebClient，友好支持http/https，开箱即用，默认已经配置好chrome的ua，对gzip的支持和解码等，亦可在外部重新指定新的参数
支持tcp相关的内容，支持web消息以及Socket等
附带对基础rpc协议的支持

- util

主要是一些增强对string/array的使用

- git

提供git和gitlab api，可实现自动化的git相关项目创建，提交，更新，gitlab组的自动创建，自动触发runner等

- web

主要提供webServer的中间件，自带index索引功能，支持超大文件的断点续传。可用于局域网传递>20GB超大文件。同时也是个全功能的WebServer，具备full全路由功能，可路由域名/path/request query。提供和Web开发相关的内容，支持自定义title/keywords/desc/meta:og等，彻底移除了React。

- lang

语言相关，支持中英文的转换，将名称转换成所支持的名称等
对web提供多语言支撑
