"use strict";
exports.__esModule = true;
var PLATFORM;
(function (PLATFORM) {
    PLATFORM[PLATFORM["BROWSER"] = 0] = "BROWSER";
    PLATFORM[PLATFORM["SERVER"] = 1] = "SERVER";
})(PLATFORM = exports.PLATFORM || (exports.PLATFORM = {}));
var LOGGER_LEVEL;
(function (LOGGER_LEVEL) {
    LOGGER_LEVEL[LOGGER_LEVEL["LOG"] = 0] = "LOG";
    LOGGER_LEVEL[LOGGER_LEVEL["WARN"] = 1] = "WARN";
    LOGGER_LEVEL[LOGGER_LEVEL["INFO"] = 2] = "INFO";
    LOGGER_LEVEL[LOGGER_LEVEL["ERROR"] = 3] = "ERROR";
    LOGGER_LEVEL[LOGGER_LEVEL["FATAL"] = 4] = "FATAL";
    LOGGER_LEVEL[LOGGER_LEVEL["TRACE"] = 5] = "TRACE";
    LOGGER_LEVEL[LOGGER_LEVEL["DEBUG"] = 6] = "DEBUG";
})(LOGGER_LEVEL = exports.LOGGER_LEVEL || (exports.LOGGER_LEVEL = {}));
var ILoggerColor;
(function (ILoggerColor) {
    ILoggerColor["Reset"] = "\u001B[0m";
    ILoggerColor["Bright"] = "\u001B[1m";
    ILoggerColor["Dim"] = "\u001B[2m";
    ILoggerColor["Underscore"] = "\u001B[4m";
    ILoggerColor["Blink"] = "\u001B[5m";
    ILoggerColor["Reverse"] = "\u001B[7m";
    ILoggerColor["Hidden"] = "\u001B[8m";
    ILoggerColor["FgBlack"] = "\u001B[30m";
    ILoggerColor["FgRed"] = "\u001B[31m";
    ILoggerColor["FgGreen"] = "\u001B[32m";
    ILoggerColor["FgYellow"] = "\u001B[33m";
    ILoggerColor["FgBlue"] = "\u001B[34m";
    ILoggerColor["FgMagenta"] = "\u001B[35m";
    ILoggerColor["FgCyan"] = "\u001B[36m";
    ILoggerColor["FgWhite"] = "\u001B[37m";
    ILoggerColor["BgBlack"] = "\u001B[40m";
    ILoggerColor["BgRed"] = "\u001B[41m";
    ILoggerColor["BgGreen"] = "\u001B[42m";
    ILoggerColor["BgYellow"] = "\u001B[43m";
    ILoggerColor["BgBlue"] = "\u001B[44m";
    ILoggerColor["BgMagenta"] = "\u001B[45m";
    ILoggerColor["BgCyan"] = "\u001B[46m";
    ILoggerColor["BgWhite"] = "\u001B[47m";
})(ILoggerColor = exports.ILoggerColor || (exports.ILoggerColor = {}));
//# sourceMappingURL=LoggerDto.js.map