import { WebRouter } from '../Web/WebRouter';
import { Controller } from '../Web/Controller';
export declare class NSQController extends Controller {
    /**
     * post:{message:string,topic}
     */
    addAction(): Promise<void>;
    /**
     * 更新任务
     * id
     * status
     */
    updateStatusAction(): Promise<void>;
    /**
     * 分发任务
     * 状态为Ready的任务
     * 状态为Pending的任务，但是超过10分钟仍然没有处理完的。优先处理完所有Ready任务
     */
    getNSQAction(): Promise<void>;
}
export declare class NSQRouter extends WebRouter {
    bindRouter(): Promise<void>;
}
