"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var Redis = require("redis");
var RedisDatabase = /** @class */ (function () {
    function RedisDatabase() {
    }
    RedisDatabase.set = function (category, key, value, ttl) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.init()];
                    case 1:
                        _a.sent();
                        this.redis.set(category + ":" + key, value, "EX", ttl / 1000, Redis.print);
                        return [2 /*return*/];
                }
            });
        });
    };
    RedisDatabase.get = function (category, key) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var _this = this;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.init()];
                    case 1:
                        _a.sent();
                        return [2 /*return*/, new Promise(function (resolve, reject) {
                                _this.redis.get(category + ":" + key, function (error, record) {
                                    if (error === null) {
                                        resolve(record);
                                    }
                                    else {
                                        reject(error);
                                    }
                                });
                            })];
                }
            });
        });
    };
    RedisDatabase.init = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var _this = this;
            return tslib_1.__generator(this, function (_a) {
                return [2 /*return*/, new Promise(function (resolve, reject) {
                        if (_this.redis === null) {
                            var config = {
                                redis_host: "192.168.31.102",
                                redis_port: 6379,
                                ttl: 60
                            };
                            console.log("redis", config);
                            var redis_1 = Redis.createClient({
                                host: config.redis_host,
                                port: config.redis_port,
                                db: 0,
                                prefix: "default",
                                return_buffers: true
                            });
                            redis_1.on("ready", function () {
                                _this.redis = redis_1;
                                resolve(redis_1);
                            });
                            redis_1.on("error", function (error) {
                                reject(error);
                            });
                        }
                        else {
                            resolve(_this.redis);
                        }
                    })];
            });
        });
    };
    RedisDatabase.redis = null;
    return RedisDatabase;
}());
exports.RedisDatabase = RedisDatabase;
//# sourceMappingURL=RedisDatabase.js.map