import { Controller } from '../../Web/Controller';
import { WebRouter } from "../../Web/WebRouter";
/**
 * Web就是 Controller/LarkRouter/LarkSequenceWebAPI 一体
 */
export declare class LarkSequenceController extends Controller {
    getNPMSequenceAction(): Promise<void>;
}
export declare class LarkSequenceRouter extends WebRouter {
    bindRouter(): Promise<void>;
}
/**
 * 这里的方法都是通过WebAPI进行通信
 */
export declare class LarkSequenceWebAPI {
    /**
     * 走中心服务器，通过http获取发号器序号
     * @param packageName
     */
    static getNPMSequence(packageName: string): Promise<any>;
    /**
     * 这个是调用远程获取数据
     * @param packageName
     */
    static getNPMSequenceByLocal(packageName: string): Promise<any>;
}
