"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var Controller_1 = require("../Controller");
var ErrorController = /** @class */ (function (_super) {
    tslib_1.__extends(ErrorController, _super);
    function ErrorController() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ErrorController.prototype.errorAction = function (error) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                this.sendJSON({
                    message: error.message,
                    name: error.name,
                    stack: error.stack,
                    ok: false
                }, 500);
                return [2 /*return*/];
            });
        });
    };
    return ErrorController;
}(Controller_1.Controller));
exports.ErrorController = ErrorController;
//# sourceMappingURL=ErrorController.js.map