"use strict";
exports.__esModule = true;
var BrowserApplication = /** @class */ (function () {
    function BrowserApplication() {
    }
    BrowserApplication.init = function () {
        var envNameDom = document.querySelector("meta[name=\"envName\"]");
        if (envNameDom !== null) {
            BrowserApplication.envName = envNameDom.getAttribute("content");
        }
        var debugDom = document.querySelector("meta[name=\"debug\"]");
        if (debugDom !== null) {
            BrowserApplication.debug = debugDom.getAttribute("content") === "true";
        }
    };
    BrowserApplication.setPackageName = function (packageName) {
        BrowserApplication.packageName = packageName;
        BrowserApplication.packagePlatform = BrowserApplication.packageName + "/Browser/";
    };
    BrowserApplication.getPackageName = function () {
        return BrowserApplication.packageName;
    };
    BrowserApplication.isDebug = function () {
        return BrowserApplication.debug;
    };
    BrowserApplication.getEnvName = function () {
        return BrowserApplication.envName;
    };
    BrowserApplication.packageName = "kemao-lark";
    BrowserApplication.packagePlatform = BrowserApplication.packageName + "/Browser/";
    BrowserApplication.envName = "development";
    BrowserApplication.debug = false;
    return BrowserApplication;
}());
exports.BrowserApplication = BrowserApplication;
//# sourceMappingURL=BrowserApplication.js.map