"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var Browser_1 = require("kemao-metro-ui/Browser");
var Browser_2 = require("kemao-metro-ui/Browser");
var Browser_3 = require("kemao-metro-ui/Browser");
var Lodash = require("lodash");
var React = require("react");
var ReactJSXGenerator = /** @class */ (function (_super) {
    tslib_1.__extends(ReactJSXGenerator, _super);
    function ReactJSXGenerator() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            name: "Test"
        };
        return _this;
    }
    // public async constructor(props) {
    //    super(props);
    // }
    /**
     * 组件刚刚挂载时
     */
    // public async componentWillMount() {
    // }
    /**
     * 组件已经挂载时
     */
    // public async componentDidMount() {
    // }
    /**
     * 组件已经挂载，非首次接受props
     * @param props 接受的props
     */
    // public async componentWillReceiveProps(props) {
    // }
    // public async shouldComponentUpdate() {
    // }
    // public async componentWillUpdate() {
    // }
    // public async componentDidUpdate() {
    // }
    /**
     * 组件将被卸载时
     */
    // public async componentWillUnmount() {
    // }
    ReactJSXGenerator.prototype.render = function () {
        var _this = this;
        return React.createElement("div", null,
            React.createElement(Browser_3.Header, null, "ReactJSXGenerator"),
            React.createElement(Browser_2.TextBox, { header: "\u6807\u9898\uFF1A", isEnable: true, width: 250, value: this.state.name, onChange: function (value) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                    return tslib_1.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, this.setState({
                                    name: Lodash.upperFirst(value.replace(/\s/g, ""))
                                })];
                            case 1:
                                _a.sent();
                                return [2 /*return*/];
                        }
                    });
                }); } }),
            React.createElement(Browser_1.Textarea, { value: this.getTemplate(), width: 666, height: 750 }));
    };
    ReactJSXGenerator.prototype.getTemplate = function () {
        return "import * as React from \"react\";\nexport interface I" + this.state.name + "Prop extends React.Props<void>{\n}\nexport interface I" + this.state.name + "State {\n}\nexport class " + this.state.name + " extends React.Component<I" + this.state.name + "Prop,I" + this.state.name + "State> {\n    // public style = require(\"./style\");\n    public state: I" + this.state.name + "State = {};\n    public render() {\n        return <section>\n        " + this.state.name + "\n    </section>;\n    }\n    /**\n     * \u7EC4\u4EF6\u521A\u521A\u6302\u8F7D\u65F6\n     */\n    // public async componentWillMount() {\n    // }\n    /**\n     * \u7EC4\u4EF6\u5DF2\u7ECF\u6302\u8F7D\u65F6\n     */\n    // public async componentDidMount() {\n    // }\n    /**\n     * \u7EC4\u4EF6\u5DF2\u7ECF\u6302\u8F7D\uFF0C\u975E\u9996\u6B21\u63A5\u53D7props\n     * @param props \u63A5\u53D7\u7684props\n     */\n    // public async componentWillReceiveProps(props) {\n    // }\n    // public async shouldComponentUpdate() {\n    // }\n    // public async componentWillUpdate() {\n    // }\n    // public async componentDidUpdate() {\n    // }\n    /**\n     * \u7EC4\u4EF6\u5C06\u88AB\u5378\u8F7D\u65F6\n     */\n    // public async componentWillUnmount() {\n    // }\n}\n";
    };
    return ReactJSXGenerator;
}(React.Component));
exports.ReactJSXGenerator = ReactJSXGenerator;
//# sourceMappingURL=ReactJSXGenerator.js.map