/// <reference types="react" />
import * as React from "react";
import { ISequenceProp, ISequenceState } from "./LarkSequencePageDto";
export declare class LarkSequencePage extends React.Component<ISequenceProp, ISequenceState> {
    state: ISequenceState;
    render(): JSX.Element;
    /**
     * 组件刚刚挂载时
     */
    componentWillMount(): Promise<void>;
    /**
     * 组件已经挂载时
     */
    /**
     * 组件已经挂载，非首次接受props
     * @param props 接受的props
     */
    /**
     * 组件将被卸载时
     */
    private getSequence();
}
