"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var Browser_1 = require("kemao-metro-ui/Browser");
var Browser_2 = require("kemao-metro-ui/Browser");
var Browser_3 = require("kemao-metro-ui/Browser");
var Browser_4 = require("kemao-metro-ui/Browser");
var Browser_5 = require("kemao-metro-ui/Browser");
var Browser_6 = require("kemao-metro-ui/Browser");
var React = require("react");
var BrowserHttpClient_1 = require("../../Net/BrowserHttpClient");
var BrowserLarkSequence_1 = require("../BrowserLarkSequence");
var LarkSequencePage = /** @class */ (function (_super) {
    tslib_1.__extends(LarkSequencePage, _super);
    function LarkSequencePage() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = {
            key: "",
            info: null,
            sequence: null,
            page: {
                pageIndex: 0,
                pageSize: 10
            },
            dataList: []
        };
        return _this;
    }
    LarkSequencePage.prototype.render = function () {
        var _this = this;
        var tableData = [];
        this.state.dataList.map(function (item) {
            var tableLine = [item.key, item.sequence, item.lastUpdateTime, item.createTime];
            tableData.push(tableLine);
        });
        // console.log(tableData)
        return React.createElement("section", null,
            React.createElement(Browser_6.Header, null, "\u53D1\u53F7\u5668"),
            React.createElement(Browser_5.TextBox, { isEnable: true, header: "\u666E\u901A\u8FDE\u7EED\u53D1\u53F7\u5668", onChange: function (key) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                    return tslib_1.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, this.setState({
                                    key: key
                                })];
                            case 1:
                                _a.sent();
                                return [2 /*return*/];
                        }
                    });
                }); } }),
            React.createElement(Browser_1.Button, { isEnable: true, content: "\u83B7\u5F97\u5E8F\u5217\u53F7", style: { marginLeft: 0 }, click: function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
                    var error_1;
                    return tslib_1.__generator(this, function (_a) {
                        switch (_a.label) {
                            case 0:
                                _a.trys.push([0, 2, , 4]);
                                return [4 /*yield*/, this.getSequence()];
                            case 1:
                                _a.sent();
                                return [3 /*break*/, 4];
                            case 2:
                                error_1 = _a.sent();
                                return [4 /*yield*/, this.setState({ info: error_1.message })];
                            case 3:
                                _a.sent();
                                return [3 /*break*/, 4];
                            case 4: return [2 /*return*/];
                        }
                    });
                }); } }),
            this.state.info ? React.createElement(Browser_3.Label, { text: this.state.info }) : null,
            this.state.sequence ? React.createElement(Browser_3.Label, { text: "序列号：" + this.state.sequence }) : null,
            React.createElement(Browser_4.Pivot, { pivotItemList: [
                    {
                        title: "查看发号器列表",
                        content: React.createElement(Browser_2.DataTable, { header: [
                                {
                                    content: "key",
                                    width: 50
                                },
                                {
                                    content: "value",
                                    width: 150
                                },
                                {
                                    content: "最近更新时间",
                                    width: 150
                                },
                                {
                                    content: "生成时间",
                                    width: 150
                                },
                            ], data: tableData, width: 1280 })
                    },
                ] }));
    };
    // public style = require("./style");
    // public async constructor(props) {
    //    super(props);
    // }
    /**
     * 组件刚刚挂载时
     */
    LarkSequencePage.prototype.componentWillMount = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var response;
            return tslib_1.__generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, BrowserHttpClient_1.BrowserHttpClient.getByURI("/kemao-lark/utils/sequence/list/" + this.state.page.pageIndex + ".json", {
                            pageSize: this.state.page.pageSize
                        })];
                    case 1:
                        response = _a.sent();
                        return [4 /*yield*/, this.setState({ dataList: response.dataList })];
                    case 2:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    /**
     * 组件已经挂载时
     */
    // public async componentDidMount() {
    // }
    /**
     * 组件已经挂载，非首次接受props
     * @param props 接受的props
     */
    // public async componentWillReceiveProps(props) {
    // }
    // public async shouldComponentUpdate() {
    // }
    // public async componentWillUpdate() {
    // }
    // public async componentDidUpdate() {
    // }
    /**
     * 组件将被卸载时
     */
    // public async componentWillUnmount() {
    // }
    LarkSequencePage.prototype.getSequence = function () {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            var _a, _b;
            return tslib_1.__generator(this, function (_c) {
                switch (_c.label) {
                    case 0:
                        if (this.state.key === "") {
                            throw new Error("key不能为空");
                        }
                        _a = this.setState;
                        _b = {};
                        return [4 /*yield*/, BrowserLarkSequence_1.BrowserLarkSequence.geSequence(this.state.key)];
                    case 1: return [4 /*yield*/, _a.apply(this, [(_b.sequence = _c.sent(),
                                _b)])];
                    case 2:
                        _c.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    return LarkSequencePage;
}(React.Component));
exports.LarkSequencePage = LarkSequencePage;
//# sourceMappingURL=LarkSequencePage.js.map