"use strict";
var _this = this;
exports.__esModule = true;
var tslib_1 = require("tslib");
var Tape = require("blue-tape");
var LoggerDto_1 = require("../../../../src/Server/Log/Logger/LoggerDto");
var HttpClient_1 = require("../../../../src/Server/Net/HttpClient");
var Application_1 = require("../../../../src/Server/Core/Application");
// import { LarkWebRouter, LarkWebServer } from '../../../../src/Server/index';
Tape(function (test) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var log, result;
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0:
                log = {
                    level: LoggerDto_1.LOGGER_LEVEL.DEBUG,
                    data: [
                        "1",
                        "2",
                        {
                            date: new Date(),
                            boolean: true,
                            number: 1,
                            string: "test"
                        }
                    ],
                    category: "Test",
                    message: "test",
                    createDatetime: new Date(),
                    platform: LoggerDto_1.PLATFORM.SERVER
                };
                return [4 /*yield*/, HttpClient_1.HttpClient.post(Application_1.Application.getLocalServer() + "/Log/Logger/report.json", { log: log }, "json")];
            case 1:
                result = _a.sent();
                console.log("Tape.result", JSON.stringify(result));
                test.ok(result, "success");
                return [2 /*return*/];
        }
    });
}); });
//# sourceMappingURL=LoggerRouter.report.test.js.map