export interface IDBCollection {
    /**
     * 数据库的名称
     */
    dbName: string;
    /**
     * 集合的名称
     */
    collectionName: string;
}
export declare enum DB_SORT {
    /**
     * 升序，从大到小
     * @example 987654321
     */
    ASC = 1,
    /**
     * 降序，从小到大
     * @example 123456789
     */
    DESC = -1,
}
/**
 * 基础的集合的字段
 */
export interface ICollectionRecord {
    /**
     * 序列id
     */
    id?: number;
    /**
     * 创建时间
     */
    createDatetime?: Date;
    /**
     * 更新时间
     */
    updateDatetime?: Date;
}
